Core - Bug # 51808

Status: Resolved Priority: Should have

Author: Helmut Hummel Category: File Abstraction Layer (FAL)
Created: 2013-09-06 Assigned To:

Updated: 2013-09-06 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression: Yes

Sprint Focus:

Subject:

ProcessedFiles need to be able to do file exists in processing folder without permission checks

Description

Related issues:

related to Core - Bug # 51747: Fatal Error after upgrading to 6.0.9 and 6.1.4... Resolved 2013-09-04
related to Core - Task # 51807: RTE Magiclmage should use the FAL processing ... Resolved 2013-09-06

duplicated by Core - Bug # 51858: Fatal error on objects using uploads/tx_

...... Closed 2013-09-09

Associated revisions

Revision 4bf5e79f - 2013-09-06 19:43 - Helmut Hummel

[BUGFIX] Enable ProcessedFiles to do file exists

Make storage 0 folder readable, browsable and writable

to mitigate the problems that arise with non

readable processing directories.

Also allow file exists in general if the

identifier in subject is in processing folder.

Resolves: #51808

Releases: 6.0, 6.1, 6.2
Change-Id: 11959d7911d955592db1771d608e8fafcc26c45e9

Reviewed-on: https://review.typo3.org/23660

Reviewed-by: Horst-Dietrich Frank
Tested-by: Horst-Dietrich Frank
Reviewed-by: Anja Leichsenring

Tested-by: Anja Leichsenring

Reviewed-by: Jakob Hombsch

Tested-by: Jakob Hombsch

Reviewed-by: Wouter Wolters

Tested-by: Wouter Wolters

Revision 714d34ed - 2013-09-09 15:15 - Helmut Hummel

[BUGFIX] Enable ProcessedFiles to do file exists

Make storage 0 folder readable, browsable and writable

to mitigate the problems that arise with non

readable processing directories.
Also allow file exists in general if the

identifier in subject is in processing folder.

Resolves: #51808

Releases: 6.0, 6.1, 6.2

Change-Id: 11959d7911d955592db1771d608e8fafcc26c45e9
Reviewed-on: https://review.typo3.org/23664

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 3d4d7853 - 2013-09-09 15:16 - Helmut Hummel

[BUGFIX] Enable ProcessedFiles to do file exists

Make storage 0 folder readable, browsable and writable
to mitigate the problems that arise with non

readable processing directories.

Also allow file exists in general if the
identifier in subject is in processing folder.

Resolves: #51808

Releases: 6.0, 6.1, 6.2

Change-Id: 11959d7911d955592db1771d608e8fafcc26c45e9
Reviewed-on: https://review.typo3.org/23665

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2013-09-06 12:21 - Helmut Hummel
- Status changed from New to Accepted

#2 - 2013-09-06 12:53 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23660

#3 - 2013-09-06 13:14 - Dominik Hahn

I've applied the patch but the problems | reported earlier (=> http://forge.typo3.org/issues/51747#note-41) remain.

Does this patch and patch 6 (ticket #51747) work together or do | have to reset all files prior to applying this patch?

#4 - 2013-09-06 13:52 - Philipp Gampe

@Dominik please report your test results directly in gerrit. You may set the verified state to -1.
Hint: Gerrit uses the same login data as for typo3.org or forge.
#5 - 2013-09-06 15:03 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23660

#6 - 2013-09-06 15:05 - Helmut Hummel

Dominik Hahn wrote:

I've applied the patch but the problems | reported earlier (=> http://forge.typo3.org/issues/51747#note-41) remain.

Does this patch and patch 6 (ticket #51747) work together or do | have to reset all files prior to applying this patch?

OK, read permissions to files is still required. can you check out patch set 2?

#7 - 2013-09-06 15:58 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23660

#8 - 2013-09-06 16:02 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/23660

#9 - 2013-09-06 16:03 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/23660

#10 - 2013-09-06 16:06 - Helmut Hummel

OK, for anybody having problems with the current release, please try out this

https://review.typo3.0rg/23660 (patch set 5)

It rolls back permission restrictions for storage 0 and should solve all problems with RTE and old extensions (like tt_news)

#11 - 2013-09-06 16:22 - Andrea Bohm

With this patch set editors can insert images via RTE again.

Thanks Helmut!

2015-08-04

3/4


https://review.typo3.org/23660
http://forge.typo3.org/issues/51747#note-41
https://review.typo3.org/23660
https://review.typo3.org/23660
https://review.typo3.org/23660
https://review.typo3.org/23660

#12 - 2013-09-06 16:44 - Ernesto Baschny
- Is Regression set to Yes

#13 - 2013-09-06 16:47 - Ernesto Baschny
- Category changed from 1394 to File Abstraction Layer (FAL)
- Target version set to next-patchlevel

#14 - 2013-09-06 19:43 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.0rg/23664

#15 - 2013-09-06 19:43 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.

It is available at https://review.typo3.org/23665

#16 - 2013-09-06 20:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4bf5e79f37fb50e2201b1e19a75862bbf3b5f267.

#17 - 2013-09-06 20:34 - Andrea Bohm

- File Uncaught_1376992145.txt added

while these patches resolve the RTE images issues they introduce a minor issue in the filelist module.

It is not a mayor bug but | want to mention it:

The filelist module now shows the processed folder. Clicking on this folder leads to an exception #1376992145 (see attachted file).

Update: see next post

#18 - 2013-09-06 20:40 - Andrea Bohm
- File Uncaught_1314354065.txt added

Sorry - I've attached the wrong file - exception #1314354065 is the correct one.

Files

1375955684.ixt 8 kB 2013-09-06 Helmut Hummel
1375955684 _pagemodule_dmnkhhn.txt 6.9 kB 2013-09-06 Helmut Hummel
1375955684 listmodule_dmnkhhn.txt 6.1 kB 2013-09-06 Helmut Hummel
Uncaught_TYPO3_Exception_tx_news_sysfolder.txt 8 kB 2013-09-06 Helmut Hummel
Uncaught_1376992145.txt 4.5 kB 2013-09-06 Andrea Béhm
Uncaught_1314354065.txt 7.9 kB 2013-09-06 Andrea Béhm
